%{!?_httpd_mmn: %global _httpd_mmn %(cat %{_includedir}/httpd/.mmn 2> /dev/null || echo 0-0)}

Summary:        Module for the Apache web server to query MaxMind DB files
Name:           mod_maxminddb
Version:        1.2.0
Release:    2%{?dist}
License:        ASL 2.0
URL:            https://maxmind.github.io/mod_maxminddb/
Source0:        https://github.com/maxmind/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        10-maxminddb.conf
Source2:        maxminddb.conf
BuildRequires:  gcc
BuildRequires:  httpd-devel >= 2.2.0
BuildRequires:  libmaxminddb-devel
Requires:       httpd-mmn = %{_httpd_mmn}
Requires:       geolite2-country
Requires:       geolite2-city

%description
The mod_maxminddb allows to query MaxMind DB files from the Apache web
server using the libmaxminddb library. The MaxMind DB files are provided
as free GeoLite2 databases as well as commercial GeoIP2 databases.

%prep
%setup -q

%build
%{_httpd_apxs} -lmaxminddb -c src/%{name}.c  # Avoid faulty upstream Makefile

%install
install -D -p -m 0755 src/.libs/%{name}.so %{buildroot}%{_httpd_moddir}/%{name}.so
install -D -p -m 0644 %{SOURCE1} %{buildroot}%{_httpd_modconfdir}/10-maxminddb.conf
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_httpd_confdir}/maxminddb.conf

%files
%license LICENSE
%doc Changes.md README.md
%config(noreplace) %{_httpd_modconfdir}/10-maxminddb.conf
%config(noreplace) %{_httpd_confdir}/maxminddb.conf
%{_httpd_moddir}/%{name}.so

%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
